#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "", "");
KSYMTAB_FUNC(nv_register_error_cb, "", "");
KSYMTAB_FUNC(nv_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvidia_register_module, "", "");
KSYMTAB_FUNC(nvidia_unregister_module, "", "");
KSYMTAB_FUNC(nvidia_frontend_add_device, "", "");
KSYMTAB_FUNC(nvidia_frontend_remove_device, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnpinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0xc2b9494e, "");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0x0535daec, "");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0xf11313df, "");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0x3aa7b3ad, "");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x794a33ae, "");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0xe7b7afb7, "");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0x903bb714, "");
SYMBOL_CRC(nvidia_get_rm_ops, 0x193c3c08, "");
SYMBOL_CRC(nv_register_error_cb, 0xfb7103e0, "");
SYMBOL_CRC(nv_unregister_error_cb, 0x2e6cec6e, "");
SYMBOL_CRC(nvidia_register_module, 0xe70f3dcd, "");
SYMBOL_CRC(nvidia_unregister_module, 0x14869e42, "");
SYMBOL_CRC(nvidia_frontend_add_device, 0xe3c5dfad, "");
SYMBOL_CRC(nvidia_frontend_remove_device, 0x23b95719, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x24a519e5, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0x455c18f9, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x54ce2afb, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xba548bb9, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xc655f87d, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x1199fc8a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x7a6e5761, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0xab68fd3b, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0xe678af42, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x63d0464d, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x08170cee, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0x3ec90268, "");
SYMBOL_CRC(nvUvmInterfacePmaUnpinPages, 0x2612b964, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0xbb22731a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0xb83fa4e7, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0x06c0d62b, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0xb2e108d5, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0x97b6e30b, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0x295f9bda, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x7ef5c587, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x9d2c519d, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd106481f, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0xc2bafeef, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0x8c277752, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0x1c50cbef, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x5c8382a1, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xf3928810, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0xcf560b60, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x52ddc3d5, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0xdac220d4, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0x657fa9f8, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0xc808868a, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0xaf0d91a7, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x550cc5f7, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xa6024e51, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0xf1fcc453, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x473157d5, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0xdbbe9dd4, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0xe2cf2a80, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x37a0cba, "kfree" },
	{ 0x6626afca, "down" },
	{ 0xcf2a6966, "up" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x48d4860c, "pci_disable_msi" },
	{ 0x2c66aa8, "pci_disable_msix" },
	{ 0x75a117a9, "dma_set_mask" },
	{ 0xe3069c0a, "dma_set_coherent_mask" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x45d128dc, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2e5e0807, "fget" },
	{ 0x500fe59a, "fput" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xb4c42d6e, "iterate_fd" },
	{ 0xe571fced, "iov_iter_kvec" },
	{ 0xda5825cb, "seq_read_iter" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x424841c8, "kmem_cache_destroy" },
	{ 0x1a8b0d77, "kmem_cache_create" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x835ed49f, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x33f3ff00, "kmem_cache_free" },
	{ 0x53b954a2, "up_read" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe9e90a13, "pci_stop_and_remove_bus_device" },
	{ 0x668b19a1, "down_read" },
	{ 0xc6cbbc89, "capable" },
	{ 0x650693a9, "_copy_from_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf20b1872, "_copy_to_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x74c64289, "kmem_cache_alloc" },
	{ 0xedc03953, "iounmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb4616a50, "pci_find_capability" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa0d6ce32, "param_ops_charp" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x60728e4c, "pci_bus_type" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xf54c7c28, "kmalloc_caches" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x90267225, "pcpu_hot" },
	{ 0x46d24ebe, "pci_read_config_word" },
	{ 0x406fdd1b, "pci_read_config_byte" },
	{ 0x8d87d11a, "pci_get_class" },
	{ 0x39dcf597, "pci_unregister_driver" },
	{ 0x67d49a41, "__pci_register_driver" },
	{ 0x70e6d6a3, "pci_enable_device" },
	{ 0x7c9bb002, "pci_read_config_dword" },
	{ 0x85bd1608, "__request_region" },
	{ 0xdb50deea, "pci_set_master" },
	{ 0x620d3b35, "vga_set_legacy_decoding" },
	{ 0x383637c6, "pm_vt_switch_required" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe83f9213, "pci_disable_device" },
	{ 0x4f98dae0, "pci_write_config_word" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3fa7fcf, "filp_open" },
	{ 0x343c9c15, "filp_close" },
	{ 0x7823f696, "pm_vt_switch_unregister" },
	{ 0x9310a04c, "pci_clear_master" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe134ed9a, "register_acpi_notifier" },
	{ 0xa235a5b2, "unregister_acpi_notifier" },
	{ 0xa3aff03b, "acpi_bus_register_driver" },
	{ 0xd2b39a9c, "acpi_bus_unregister_driver" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0x28371ec5, "is_acpi_device_node" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x8cfe5b0b, "try_module_get" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xdd42b182, "module_put" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xc3248bf8, "dma_map_sg_attrs" },
	{ 0xa48fdc49, "dma_unmap_sg_attrs" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x82d863ed, "dma_map_resource" },
	{ 0x93d324b5, "dma_unmap_resource" },
	{ 0x73b2c1de, "sg_alloc_table_from_pages_segment" },
	{ 0x9b9d5fd1, "dma_map_page_attrs" },
	{ 0x3abf977, "dma_unmap_page_attrs" },
	{ 0x51d41a7e, "pcibios_resource_to_bus" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xcc1f0f9a, "dma_ops" },
	{ 0x794700be, "i2c_add_adapter" },
	{ 0x672ca465, "i2c_del_adapter" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x4f97134a, "unmap_mapping_range" },
	{ 0x8e587ca0, "remap_pfn_range" },
	{ 0x83fc004b, "vm_insert_page" },
	{ 0xad50ce62, "vmf_insert_pfn_prot" },
	{ 0x5382a16b, "boot_cpu_data" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9d0a51c9, "proc_mkdir_mode" },
	{ 0x8b5f63a3, "proc_create_data" },
	{ 0xa5c472da, "seq_read" },
	{ 0x24990c04, "seq_lseek" },
	{ 0xac45656, "single_open" },
	{ 0x5f25530b, "single_release" },
	{ 0x100cee77, "seq_puts" },
	{ 0x19eded21, "seq_printf" },
	{ 0x85df9b6c, "strsep" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8eca52c7, "proc_remove" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfa6ee111, "address_space_init_once" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x95a8954d, "__alloc_pages" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xab65ed80, "set_memory_uc" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x62a922b4, "dma_free_attrs" },
	{ 0xc66048be, "set_pages_array_uc" },
	{ 0x2b161995, "set_pages_array_wb" },
	{ 0x7cc85850, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x9493fc86, "node_states" },
	{ 0xc209c0e8, "node_data" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xc631580a, "console_unlock" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x148653, "vsnprintf" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf1e046cc, "panic" },
	{ 0xf96e60c6, "__free_pages" },
	{ 0xc98bea0d, "kernel_write" },
	{ 0x4cd74e4a, "kernel_read" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1000e51, "schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe914e41e, "strcpy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x999e8297, "vfree" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x9166fada, "strncpy" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x14346033, "__folio_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x37b8b39e, "screen_info" },
	{ 0xfddeb056, "efi" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x541c6b5e, "numa_node" },
	{ 0xe1413805, "find_vma_intersection" },
	{ 0x3f17808e, "get_user_pages" },
	{ 0x9f0bcc9f, "set_page_dirty_lock" },
	{ 0xb9f9b1f3, "follow_pfn" },
	{ 0xa94a09bb, "mem_section" },
	{ 0xe1568f61, "pci_get_domain_bus_and_slot" },
	{ 0xee83b993, "pci_dev_put" },
	{ 0x91716ae1, "pci_write_config_byte" },
	{ 0x259da4d8, "pci_write_config_dword" },
	{ 0x4644272b, "param_ops_int" },
	{ 0x56470118, "__warn_printk" },
	{ 0xecc096d5, "kthread_stop" },
	{ 0xa54fee2e, "kthread_create_on_node" },
	{ 0x1df5bc78, "wake_up_process" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1709ecef, "vmalloc_to_page" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa6257a2f, "complete" },
	{ 0xece784c2, "rb_first" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe638f39c, "pci_enable_msi" },
	{ 0xce8ca09f, "pci_enable_msix_range" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9885fd6, "fd_install" },
	{ 0xb6fde909, "close_fd" },
	{ 0xa32395d3, "remove_proc_entry" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x99bac960, "cdev_init" },
	{ 0x133ed820, "cdev_add" },
	{ 0x1eb5062a, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xcc474581, "__register_chrdev" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x349cba85, "strchr" },
	{ 0xdec219ba, "dma_sync_single_for_cpu" },
	{ 0x6e2f23ff, "dma_sync_single_for_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4eb77d2d, "pci_request_regions" },
	{ 0xdc74891, "pci_iomap" },
	{ 0x8b63f683, "pci_iounmap" },
	{ 0x6d77367e, "pci_release_regions" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x3736aca6, "dev_driver_string" },
	{ 0x305a916c, "__x86_indirect_thunk_rdi" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4dbd4d8d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");

MODULE_INFO(srcversion, "00E85E5BB9D4F67E4E2B7F3");
